Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.memory.jca
Class MapManagedConnectionFactory

    java.lang.Object
      org.apache.commons.transaction.memory.jca.MapManagedConnectionFactory

All Implemented Interfaces:
  ManagedConnectionFactory, Serializable

public class MapManagedConnectionFactory
extends Object
implements ManagedConnectionFactory

Version:
  $Revision$
See Also:
  Serialized Form

Constructor Summary
`MapManagedConnectionFactory()`

Method Summary
`Object` | `createConnectionFactory()`
`Object` | `createConnectionFactory(ConnectionManager cm)`
`ManagedConnection` | `createManagedConnection(Subject subject, ConnectionRequestInfo cxRequestInfo)`
`boolean` | `equals(Object other)`
`PrintWriter` | `getLogWriter()`
`int` | `hashCode()`
`ManagedConnection` | `matchManagedConnections(Set connectionSet, Subject subject, ConnectionRequestInfo cxRequestInfo)`
`void` | `setLogWriter(PrintWriter writer)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapManagedConnectionFactory

    public MapManagedConnectionFactory()

Method Detail

### createConnectionFactory

    public Object createConnectionFactory(ConnectionManager cm)
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.createConnectionFactory(ConnectionManager)`

### createConnectionFactory

    public Object createConnectionFactory()
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.createConnectionFactory()`

### createManagedConnection

    public ManagedConnection createManagedConnection(Subject subject,
                                                     ConnectionRequestInfo cxRequestInfo)
                                              throws ResourceException

  Specified by:
    `createManagedConnection` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.createManagedConnection(Subject, ConnectionRequestInfo)`

### matchManagedConnections

    public ManagedConnection matchManagedConnections(Set connectionSet,
                                                     Subject subject,
                                                     ConnectionRequestInfo cxRequestInfo)
                                              throws ResourceException

  Specified by:
    `matchManagedConnections` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.matchManagedConnections(Set, Subject, ConnectionRequestInfo)`

### setLogWriter

    public void setLogWriter(PrintWriter writer)
                      throws ResourceException

  Specified by:
    `setLogWriter` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.setLogWriter(PrintWriter)`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws ResourceException

  Specified by:
    `getLogWriter` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.getLogWriter()`

### equals

    public boolean equals(Object other)

  Specified by:
    `equals` in interface `ManagedConnectionFactory`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `ManagedConnectionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.